
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef RFLEX_SCAN_H
#define RFLEX_SCAN_H

#include "genom/printScan.h"

/* Structures definies par d'autres modules */

#include "server/genBasicScan.h"

#include "server/genPosScan.h"

#include "server/pomScan.h"


/* Structures du module */
#include "rflexPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
extern int scan_struct_RFLEX_SONARSCART_POSTER_STR ( FILE *in, FILE *out,
       struct RFLEX_SONARSCART_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_RFLEX_SONARSRHO_POSTER_STR ( FILE *in, FILE *out,
       struct RFLEX_SONARSRHO_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_RFLEX_SONARSCONFIG_POSTER_STR ( FILE *in, FILE *out,
       struct RFLEX_SONARSCONFIG_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_RFLEX_MEPOS_POSTER_STR ( FILE *in, FILE *out,
       struct RFLEX_MEPOS_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_RFLEX_ROBOT_POSTER_STR ( FILE *in, FILE *out,
       struct RFLEX_ROBOT_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_RFLEX_STR ( FILE *in, FILE *out,
       struct RFLEX_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_RFLEX_ODOMETRY_METHOD ( FILE *in, FILE *out,
       struct RFLEX_ODOMETRY_METHOD *x, int indent, int nDim, int *dims );
extern int scan_enum_RFLEX_ODOMETRY_MODE ( FILE *in, FILE *out,
       enum RFLEX_ODOMETRY_MODE *x, int indent, int nDim, int *dims );
extern int scan_struct_RFLEX_GYRO ( FILE *in, FILE *out,
       struct RFLEX_GYRO *x, int indent, int nDim, int *dims );
extern int scan_struct_RFLEX_GYRO_PARAMS ( FILE *in, FILE *out,
       struct RFLEX_GYRO_PARAMS *x, int indent, int nDim, int *dims );
extern int scan_enum_RFLEX_GYRO_MODE ( FILE *in, FILE *out,
       enum RFLEX_GYRO_MODE *x, int indent, int nDim, int *dims );
extern int scan_struct_RFLEX_JOYSTICK_STR ( FILE *in, FILE *out,
       struct RFLEX_JOYSTICK_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_RFLEX_SYSTEM_STATE_STR ( FILE *in, FILE *out,
       struct RFLEX_SYSTEM_STATE_STR *x, int indent, int nDim, int *dims );
extern int scan_enum_RFLEX_BATTERY_STATUS ( FILE *in, FILE *out,
       enum RFLEX_BATTERY_STATUS *x, int indent, int nDim, int *dims );
extern int scan_struct_RFLEX_SONARS_RANGE ( FILE *in, FILE *out,
       struct RFLEX_SONARS_RANGE *x, int indent, int nDim, int *dims );
extern int scan_struct_RFLEX_SONARS_CART_MEASURES ( FILE *in, FILE *out,
       struct RFLEX_SONARS_CART_MEASURES *x, int indent, int nDim, int *dims );
extern int scan_struct_RFLEX_POINT ( FILE *in, FILE *out,
       struct RFLEX_POINT *x, int indent, int nDim, int *dims );
extern int scan_struct_RFLEX_SONARS_CONFIG ( FILE *in, FILE *out,
       struct RFLEX_SONARS_CONFIG *x, int indent, int nDim, int *dims );
extern int scan_struct_RFLEX_CONFIG ( FILE *in, FILE *out,
       struct RFLEX_CONFIG *x, int indent, int nDim, int *dims );
extern int scan_struct_RFLEX_MISC_ODO ( FILE *in, FILE *out,
       struct RFLEX_MISC_ODO *x, int indent, int nDim, int *dims );
extern int scan_struct_RFLEX_ODO_STR ( FILE *in, FILE *out,
       struct RFLEX_ODO_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_RFLEX_CART_3DCONFIG ( FILE *in, FILE *out,
       struct RFLEX_CART_3DCONFIG *x, int indent, int nDim, int *dims );
extern int scan_struct_RFLEX_CART_3DSTATE ( FILE *in, FILE *out,
       struct RFLEX_CART_3DSTATE *x, int indent, int nDim, int *dims );
extern int scan_struct_RFLEX_GEOM_PARAM_STR ( FILE *in, FILE *out,
       struct RFLEX_GEOM_PARAM_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_RFLEX_VAR_PARAMS ( FILE *in, FILE *out,
       struct RFLEX_VAR_PARAMS *x, int indent, int nDim, int *dims );
extern int scan_struct_RFLEX_RAW_AXIS_STR ( FILE *in, FILE *out,
       struct RFLEX_RAW_AXIS_STR *x, int indent, int nDim, int *dims );
extern int scan_enum_RFLEX_MODE ( FILE *in, FILE *out,
       enum RFLEX_MODE *x, int indent, int nDim, int *dims );
extern int scan_struct_RFLEX_CLIENT_STR ( FILE *in, FILE *out,
       struct RFLEX_CLIENT_STR *x, int indent, int nDim, int *dims );
extern int scan_enum_RFLEX_CLIENT_STATUS ( FILE *in, FILE *out,
       enum RFLEX_CLIENT_STATUS *x, int indent, int nDim, int *dims );
extern int scan_enum_RFLEX_POM_TAGGING ( FILE *in, FILE *out,
       enum RFLEX_POM_TAGGING *x, int indent, int nDim, int *dims );
extern int scan_struct_RFLEX_STRING ( FILE *in, FILE *out,
       struct RFLEX_STRING *x, int indent, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

extern int scan_RFLEX_STRING ( FILE *in, FILE *out,
       RFLEX_STRING *x, int indent, int nDim, int *dims );
extern int scan_RFLEX_POM_TAGGING ( FILE *in, FILE *out,
       RFLEX_POM_TAGGING *x, int indent, int nDim, int *dims );
extern int scan_RFLEX_CLIENT_STATUS ( FILE *in, FILE *out,
       RFLEX_CLIENT_STATUS *x, int indent, int nDim, int *dims );
extern int scan_RFLEX_CLIENT_STR ( FILE *in, FILE *out,
       RFLEX_CLIENT_STR *x, int indent, int nDim, int *dims );
extern int scan_RFLEX_MODE ( FILE *in, FILE *out,
       RFLEX_MODE *x, int indent, int nDim, int *dims );
extern int scan_RFLEX_RAW_AXIS_STR ( FILE *in, FILE *out,
       RFLEX_RAW_AXIS_STR *x, int indent, int nDim, int *dims );
extern int scan_RFLEX_VAR_PARAMS ( FILE *in, FILE *out,
       RFLEX_VAR_PARAMS *x, int indent, int nDim, int *dims );
extern int scan_RFLEX_GEOM_PARAM_STR ( FILE *in, FILE *out,
       RFLEX_GEOM_PARAM_STR *x, int indent, int nDim, int *dims );
extern int scan_RFLEX_CART_3DSTATE ( FILE *in, FILE *out,
       RFLEX_CART_3DSTATE *x, int indent, int nDim, int *dims );
extern int scan_RFLEX_CART_3DCONFIG ( FILE *in, FILE *out,
       RFLEX_CART_3DCONFIG *x, int indent, int nDim, int *dims );
extern int scan_RFLEX_ODO_STR ( FILE *in, FILE *out,
       RFLEX_ODO_STR *x, int indent, int nDim, int *dims );
extern int scan_RFLEX_MISC_ODO ( FILE *in, FILE *out,
       RFLEX_MISC_ODO *x, int indent, int nDim, int *dims );
extern int scan_RFLEX_CONFIG ( FILE *in, FILE *out,
       RFLEX_CONFIG *x, int indent, int nDim, int *dims );
extern int scan_RFLEX_SONARS_CONFIG ( FILE *in, FILE *out,
       RFLEX_SONARS_CONFIG *x, int indent, int nDim, int *dims );
extern int scan_RFLEX_POINT ( FILE *in, FILE *out,
       RFLEX_POINT *x, int indent, int nDim, int *dims );
extern int scan_RFLEX_SONARS_CART_MEASURES ( FILE *in, FILE *out,
       RFLEX_SONARS_CART_MEASURES *x, int indent, int nDim, int *dims );
extern int scan_RFLEX_SONARS_RANGE ( FILE *in, FILE *out,
       RFLEX_SONARS_RANGE *x, int indent, int nDim, int *dims );
extern int scan_RFLEX_BATTERY_STATUS ( FILE *in, FILE *out,
       RFLEX_BATTERY_STATUS *x, int indent, int nDim, int *dims );
extern int scan_RFLEX_SYSTEM_STATE_STR ( FILE *in, FILE *out,
       RFLEX_SYSTEM_STATE_STR *x, int indent, int nDim, int *dims );
extern int scan_RFLEX_JOYSTICK_STR ( FILE *in, FILE *out,
       RFLEX_JOYSTICK_STR *x, int indent, int nDim, int *dims );
extern int scan_RFLEX_GYRO_MODE ( FILE *in, FILE *out,
       RFLEX_GYRO_MODE *x, int indent, int nDim, int *dims );
extern int scan_RFLEX_GYRO_PARAMS ( FILE *in, FILE *out,
       RFLEX_GYRO_PARAMS *x, int indent, int nDim, int *dims );
extern int scan_RFLEX_GYRO ( FILE *in, FILE *out,
       RFLEX_GYRO *x, int indent, int nDim, int *dims );
extern int scan_RFLEX_ODOMETRY_MODE ( FILE *in, FILE *out,
       RFLEX_ODOMETRY_MODE *x, int indent, int nDim, int *dims );
extern int scan_RFLEX_ODOMETRY_METHOD ( FILE *in, FILE *out,
       RFLEX_ODOMETRY_METHOD *x, int indent, int nDim, int *dims );
extern int scan_RFLEX_STR ( FILE *in, FILE *out,
       RFLEX_STR *x, int indent, int nDim, int *dims );
extern int scan_RFLEX_ROBOT_POSTER_STR ( FILE *in, FILE *out,
       RFLEX_ROBOT_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_RFLEX_MEPOS_POSTER_STR ( FILE *in, FILE *out,
       RFLEX_MEPOS_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_RFLEX_SONARSCONFIG_POSTER_STR ( FILE *in, FILE *out,
       RFLEX_SONARSCONFIG_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_RFLEX_SONARSRHO_POSTER_STR ( FILE *in, FILE *out,
       RFLEX_SONARSRHO_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_RFLEX_SONARSCART_POSTER_STR ( FILE *in, FILE *out,
       RFLEX_SONARSCART_POSTER_STR *x, int indent, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* RFLEX_SCAN_H */

